---
title: "Monthly Donation: MATE Desktop"
date: 2018-09-01T23:48:04+02:00
slug: "monthly-donation-mate-desktop"
image: /content/images/2018/09/Mate-background.png
---

Resolving to actually donate regularly is something I've wanted to do for a while now. Until now I've dropped a donation to projects once in a while whever I felt like it, but not with any kind of regular schedule or standards.

Donating is a common thing for me now. The first considerable donation I gave was probably one to FreeBSD. I forget how much it was, but I'm fairly certain it was somewhere between 20 and 50 USD. I'd guess around $30.

That's why I've decided that starting this month, I'll drop one donation each month to some project I think deserves one. Of course knowing me, I probably won't remember to, or bother to write a blog post for every month's donation. Scratch that, I definitely won't. But if nothing else I'll try.

Kicking off this task that will hopefully become a habit of mine, is the [MATE desktop environment](http://mate-desktop.org/). I dropped them 25 bucks.

# Why MATE?

MATE might seem like a strange choice at first. But I'm a Linux user, which means that the piece or collection of software I interact with the most, outside of the kernel itself, is the desktop environment. Personally I'm an Openbox user, but let's face it, that project is fairly dead. Openbox is mostly just maintained for the purposes of stuff like LXDE these days, and they don't even have a donate button as far as I can tell.

MATE is the next best thing. For as long as I've been a Linux user, the MATE desktop is the one I've spent most time with. I don't have much sentimental attachment to the old Gnome 2 desktop. I first came into contact with Linux through Mint, but I spent most my early days on Ubuntu after that. I started using Ubuntu with version 10.04. But they switched to the Unity interface with 10.10. So I used Gnome 2 actively for barely half a year. While it was the first desktop I used on a daily basis, there isn't really much else I can say about it.

However I still enjoy MATE. Whether it's nostalgia or something else, MATE simply ticks all the essential boxes for a DE very well. If Openbox was to completely die off, MATE would likely be where I spent most of my time. It's a desktop that's simple, efficient and light. It doesn't mess around. You get a sensible desktop that lets you work with just the amount of extras you need to help your efficiency along. Accompanied by classic and simple menus and a simple look.

The only thing I don't like about the MATE desktop is Marco's compositing capabilities. It's a pretty horrid compositor. I'm not sure if I've ever installed MATE on any computer without having to manually fix screen tearing afterwards. Compton and whatever Gnome 3 uses both tend to work quite well on a considerable chunk of GPUs, but I'm not sure if I've seen Marco's compositing work on a single GPU ever, at least not without screen tearing.

Regardless of the specifics, I think MATE is an excellent desktop that scales very well from basic computer needs all the way to "Moderately complex usage". If you're looking for a desktop environment that gets the basics quite right, MATE is a good one to try out.

